RK-A2 - Feature #3579

Add conversation support to Assistants GCF
06/02/2024 09:50 AM - Ram Kordale

Status: Closed Start date: 06/02/2024
Priority: Urgent Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

call_openai_api(model, index, thread_id, new_chat)

-get <assistant_id, instructions, prompt prefix, prompt suffix> for <model, index> from DS
-if (assistant_id =="")

--return error //this will not happen to users

-else

--assistant_id = GET https://api.openai.com/vi/assistants/{assistant_id}

-if (thread_id =="")

--thread_id = create_thread() [POST https://api.openai.com/v1i/threads]
-else

--thread_id = GET https://api.openai.com/v1/threads/{thread id}

-if (new_chat) //delete all messages

--messages = GET https://api.openai.com/v1/threads/{thread_id}/messages

--delete messages [In a loop: 1. GET https:/api.openai.com/vi/threads/{thread_id}/messages/{message _id} 2. DELETE
https://api.openai.com/vi/threads/{thread_id}/messages/{message_id}]

-create message [POST https://api.openai.com/v1/threads/{thread_id}/messages]

-return thread_id, response

History

#1 - 06/02/2024 10:08 AM - Ram Kordale

- Description updated

#2 - 06/02/2024 10:17 AM - Ram Kordale

- Description updated

#3 - 06/03/2024 05:22 AM - Md Shahzar

- Status changed from New to In Progress

#4 - 06/03/2024 05:54 AM - Ram Kordale

- Description updated

#5 - 06/03/2024 07:06 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#6 - 06/03/2024 10:49 AM - Md Shahzar
- Status changed from Resolved to Feedback

- Assignee changed from Md Shahzar to Ram Kordale

#7 - 09/11/2024 06:24 AM - Ram Kordale
- Status changed from Feedback to Closed

03/13/2025 1/1



https://api.openai.com/v1/assistants/%7Bassistant_id
https://api.openai.com/v1/threads
https://api.openai.com/v1/threads/%7Bthread_id
https://api.openai.com/v1/threads/%7Bthread_id%7D/messages
https://api.openai.com/v1/threads/%7Bthread_id%7D/messages/%7Bmessage_id
https://api.openai.com/v1/threads/%7Bthread_id%7D/messages/%7Bmessage_id
https://api.openai.com/v1/threads/%7Bthread_id%7D/messages
http://www.tcpdf.org

